;(function($) {
    var Area = {};

    Area.Menu = (function() {
        var $wrap = $(".wrap_skin"),
            $btnCategory = $(".area_head .btn_cate"),
            $btnCloseCategory =  $(".wrap_sub .btn_close");

        $btnCategory.on("click", function() {
            $wrap.addClass("navi_on");
        });

        $btnCloseCategory.on("click", function() {
            $wrap.removeClass("navi_on");
        });
    })();

    Area.Search = (function() {
        var ON_CLASS = "search_on";
        var $wrap = $(".wrap_skin"),
            $btnSearch = $(".area_head .btn_search"),
            $formSearch = $(".area_head .frm_search"),
            $inputSearch = $(".area_head .area_search .tf_search");
        var showSearch = function() {
            $wrap.addClass(ON_CLASS);
            $inputSearch.focus();
        };
        var hideSearch = function() {
            $wrap.removeClass(ON_CLASS);
        };
        $btnSearch.on("click", function(e) {
            showSearch();
        });
        $inputSearch.on("blur", function(e) {
            if ($inputSearch.val() === $inputSearch.data("value")) {
                hideSearch();
            }
        });
        $(document.body).on("keydown", function(e) {
            if ($wrap.hasClass(ON_CLASS) && e.keyCode === 27) {
                $formSearch[0].reset();
                hideSearch();
            }
        });
    })();

    Area.SocialShare = (function() {
		var SOCIAL_SHARE = {
			kakaostory: {
				url: "https://story.kakao.com/share",
				width: 640,
				height: 400,
				makeShareUrl: function(url) {
					return this.url + "?url=" + encodeURIComponent(url);
				}
			},
			facebook: {
				url: "https://www.facebook.com/sharer/sharer.php",
				width: 640,
				height: 400,
				makeShareUrl: function(url) {
					return this.url + "?display=popup&u=" + encodeURIComponent(url);
				}
			},
			twitter: {
				url: "https://twitter.com/intent/tweet",
				width: 640,
				height: 400,
				makeShareUrl: function(url) {
					return this.url + "?url=" + encodeURIComponent(url);
				}
			}
		};
		var onClick = function(e) {
			var $this = $(this),
				service = SOCIAL_SHARE[$this.data("service")],
				url = location.href;

			if (service) {
				e.preventDefault();
				window.open(service.makeShareUrl(url), "", "width=" + service.width + ", height=" + service.height);
			}
		};
		$(".list_share").on("click", "a", onClick);
	})();
    $.Area = Area;
	
    /* Functions by Kinesis(Hae-Kwang, Kim / support@kinesis.kr) */
  try {
    
$("#dkFootNav .navbar-nav > li > a[name='tgShowCategory']").click(function() { 
  try { $('#dkHead button').eq(0).click(); } catch (ex) { }
});

/* Scroll Icon Click Event */
$("#dkFootNav .navbar-nav > li > a[name]").click(function(){
try {
  var objDic = { scTopBtn : "html, body", scConBtn : "#mArticle", scCmtBtn : "div.area_reply" }
  $("html, body").stop().animate({scrollTop:$(objDic[this.name]).offset().top}, '1000', 'swing');
} catch (e) { return true; }
});

$("#dkFootNav .navbar-nav > li > a[name=helpConf]").click(function(){
try { vex.dialog.alert('현재 화면과 같은 효과를 적용하시려면, 다음 굵은 색으로 강조된 텍스트를 복사하여 "관리자페이지" > "HTML/CSS 편집화면" 에 이동하여 body 태그의 class 안에 넣어주세요.<br/><strong>' + $(document.body).attr('class').replace(/supportUserConf|isMember/ig, '') + '</strong>'); } catch (e) { return true; }
});

/* Footer Fixed Bar Tooltip */
$(function () {
  /* Show the Tooltip effect */
  $('[data-toggle="tooltip"]').tooltip()
})

  } catch(e) { }
    
	try {
		var body = $("body");
		var KLabConfig = localStorage.getItem("KLabConfig");     
		if (body.hasClass("supportUserConf") && KLabConfig !== null) {
			var Configs = KLabConfig.split(/\s/);
			$("body").attr("class", "");
			//$("body").removeClass("darkTone redTone orangeTone deepblueTone hideDesc imgRadius imgShadow");
			for (var i = 0; i < Configs.length; i++)
				if (!/isArticle|isMember/i.test(Configs[i]) && !body.hasClass(Configs[i]))
					body.addClass(Configs[i]);
		} else { localStorage.removeItem("KLabConfig"); }
	} catch(ex) {}

  var KLabConfigure = {};
  KLabConfigure._body = $("body");
  KLabConfigure._container = $("#dkFootNav");
  KLabConfigure._btn = { conBtnBrightTone : $("li.conBtnBrightTone", KLabConfigure._container), conBtnDarkTone : $("li.conBtnDarkTone", KLabConfigure._container) };
  KLabConfigure._tone = { darkTone:"darkTone", defaultTone:"defaultTone", redTone:"redTone", orangeTone:"orangeTone", greenTone:"greenTone", deepblueTone:"deepblueTone", grayTone:"grayTone" };
  KLabConfigure._options = { galleryList:"galleryList", imgRadius:"imgRadius", imgRadiusL:"imgRadiusL", imgShadow:"imgShadow", imgShadowL:"imgShadowL", imgBorder:"imgBorder", imgBorderL:"imgBorderL", imgResize:"imgResize" };
  KLabConfigure._anime = { imgAniRotate:"imgAniRotate", imgAniZoomIn:"imgAniZoomIn", imgAniZoomInRotate:"imgAniZoomInRotate", imgAniZoomInRotateR:"imgAniZoomInRotateR", imgAniZoomOut:"imgAniZoomOut", imgAniZoomOutRotate:"imgAniZoomOutRotate", imgAniZoomOutRotateR:"imgAniZoomOutRotateR", imgAniDragLeft:"imgAniDragLeft", imgAniDragRight:"imgAniDragRight", imgAniDragTop:"imgAniDragTop", imgAniDragBottom:"imgAniDragBottom" }
  KLabConfigure._saveConfig = function() { try { localStorage.setItem("KLabConfig", this._body.attr("class")); } catch(ex) {} };
  KLabConfigure.brightTone = function() { 
    if(this._body.hasClass(this._tone.darkTone)) { 
      if (!this._btn.conBtnBrightTone.hasClass("disable")) { this._btn.conBtnBrightTone.addClass("disable"); }
      if (this._btn.conBtnDarkTone.hasClass("disable")) { this._btn.conBtnDarkTone.removeClass("disable"); }
      this._body.removeClass(this._tone.darkTone);
      this._saveConfig();
    } };
  KLabConfigure.darkTone = function() { 
    if(!this._body.hasClass(this._tone.darkTone)) { 
      if (this._btn.conBtnBrightTone.hasClass("disable")) { this._btn.conBtnBrightTone.removeClass("disable"); }
      if (!this._btn.conBtnDarkTone.hasClass("disable")) { this._btn.conBtnDarkTone.addClass("disable"); }
      this._body.addClass(this._tone.darkTone);
      this._saveConfig();
    } };
  KLabConfigure.changeTone = function(tone) {
    if (this._tone[tone] !== undefined && this._tone[tone] !== null) {
      this._body.removeClass("defaultTone redTone orangeTone greenTone deepblueTone grayTone");
      this._body.addClass(tone);
      this._saveConfig();
    }	
  };
  KLabConfigure.aniEffect = function(effect) {
    if (this._anime[effect] !== undefined && this._anime[effect] !== null) {
      this._body.removeClass("imgAniRotate imgAniZoomIn imgAniZoomInRotate imgAniZoomInRotateR imgAniZoomOut imgAniZoomOutRotate imgAniZoomOutRotateR imgAniDragLeft imgAniDragRight imgAniDragTop imgAniDragBottom");
      this._body.addClass(effect);
      this._saveConfig();
    }
  };
  KLabConfigure.galleryList = function(boolean) {
    if (boolean) { if(!this._body.hasClass(this._options.galleryList)) this._body.addClass(this._options.galleryList); this._saveConfig();
    } else { if(this._body.hasClass(this._options.galleryList)) this._body.removeClass(this._options.galleryList); this._saveConfig(); }
  };
  KLabConfigure.imgResize = function(boolean) {
    if (boolean) { if(!this._body.hasClass(this._options.imgResize)) this._body.addClass(this._options.imgResize); this._saveConfig();
    } else { if(this._body.hasClass(this._options.imgResize)) this._body.removeClass(this._options.imgResize); this._saveConfig(); }
  };
  KLabConfigure.imgRadius = function(boolean, listOnly) {
    if (boolean) {
      this._body.removeClass(this._options.imgRadius + " " + this._options.imgRadiusL); this._saveConfig();
      listOnly !== null && listOnly === true ? this._body.addClass(this._options.imgRadiusL) : this._body.addClass(this._options.imgRadius);
    } else { this._body.removeClass(this._options.imgRadius + " " + this._options.imgRadiusL); this._saveConfig(); }
  };
  KLabConfigure.imgShadow = function(boolean, listOnly) {
    if (boolean) {
      this._body.removeClass(this._options.imgShadow + " " + this._options.imgShadowL); this._saveConfig();
      listOnly !== null && listOnly === true ? this._body.addClass(this._options.imgShadowL) : this._body.addClass(this._options.imgShadow);
    } else { this._body.removeClass(this._options.imgShadow + " " + this._options.imgShadowL); this._saveConfig(); }
  };
  KLabConfigure.imgBorder = function(boolean, listOnly) {
    if (boolean) {
      this._body.removeClass(this._options.imgBorder + " " + this._options.imgBorderL); this._saveConfig();
      listOnly !== null && listOnly === true ? this._body.addClass(this._options.imgBorderL) : this._body.addClass(this._options.imgBorder);
    } else { this._body.removeClass(this._options.imgBorder + " " + this._options.imgBorderL); this._saveConfig(); }
  };
  $.KLabConfigure = KLabConfigure;

  try {
    if (/MEMBER/i.test(T.config.ROLE) && !$("body").hasClass("isMember"))
      $("body").addClass("isMember");

    var _ld= JSON.parse($('script[type="application/ld+json"]').html());
    if (_ld.url !== undefined && ( _ld.url.match(/.*\/(\d*)/) && _ld.url.match(/.*\/(\d*)/).length > 1 ))
      $("body").addClass("isArticle");
  } catch(ex) {}

})(jQuery);
